Back to Redis

Debuginfo

content/operate/rs/7.4/references/rest-api/requests/bdbs/debuginfo.md

latest2.6 KB
Original Source
MethodPathDescription
GET/v1/bdbs/debuginfoGet debug info from all databases
GET/v1/bdbs/{bdb_uid}/debuginfoGet debug info from a specific database

Get debug info from all databases {#get-all-debuginfo-bdb}

GET /v1/bdbs/debuginfo

Downloads a tar file that contains debug info from all databases.

Required permissions

Permission name
[view_debugging_info]({{< relref "/operate/rs/7.4/references/rest-api/permissions#view_debugging_info" >}})

Request {#get-all-request}

Example HTTP request

GET /v1/bdbs/debuginfo

Response {#get-all-response}

Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.

Response headers

KeyValueDescription
Content-Typeapplication/x-gzipMedia type of request/response body
Content-Length653350Length of the response body in octets
Content-Dispositionattachment; filename=debuginfo.tar.gzDisplay response in browser

Status codes {#get-all-status-codes}

CodeDescription
200 OKSuccess.
500 Internal Server ErrorFailed to get debug info.

Get database debug info {#get-debuginfo-bdb}

GET /v1/bdbs/{int: bdb_uid}/debuginfo

Downloads a tar file that contains debug info from the database specified by bdb_uid.

Required permissions

Permission name
[view_debugging_info]({{< relref "/operate/rs/7.4/references/rest-api/permissions#view_debugging_info" >}})

Request {#get-request}

Example HTTP request

GET /v1/bdbs/1/debuginfo

Response {#get-response}

Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.

Response headers

KeyValueDescription
Content-Typeapplication/x-gzipMedia type of request/response body
Content-Length653350Length of the response body in octets
Content-Dispositionattachment; filename=debuginfo.tar.gzDisplay response in browser

Status codes {#get-status-codes}

CodeDescription
200 OKSuccess.
500 Internal Server ErrorFailed to get debug info.